Update Branding Settings Of Pass Template
curl --request PUT \
--url https://api.loyalty.dog/v2/templates/{templateId}/branding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"titleText": "<string>",
"headerText": "<string>",
"bodyTextColor": "<string>",
"footerTextColor": "<string>",
"footerBackgroundColor": "<string>",
"footerImage": {
"key": "<string>",
"url": "<string>"
}
}
'import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/branding"
payload = {
"titleText": "<string>",
"headerText": "<string>",
"bodyTextColor": "<string>",
"footerTextColor": "<string>",
"footerBackgroundColor": "<string>",
"footerImage": {
"key": "<string>",
"url": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
titleText: '<string>',
headerText: '<string>',
bodyTextColor: '<string>',
footerTextColor: '<string>',
footerBackgroundColor: '<string>',
footerImage: {key: '<string>', url: '<string>'}
})
};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pass Templates > Branding
Update Branding Settings Of Pass Template
Update Branding Settings of Pass Template
Update the branding settings of the pass template.
Parameters:
branding(TemplateBranding): The updated branding settings data.template(Template): The pass template.
Returns:
dict: The updated branding settings of the pass template.
PUT
/
v2
/
templates
/
{templateId}
/
branding
Update Branding Settings Of Pass Template
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
⌘I
